'// ====================================================================================================================
'//
'// Project    : Survey2000
'//
'// Component  : COM
'//
'// File       : COM_StubsPub.BAS
'//
'// Summary    : GeoCOM RPC interface
'//
'//              Generated remote-procedure-call interface module
'//              This file should not need to be edited.
'//
'// Development: Environment:             Microsoft Visual Basic 6.0
'//              RPC-Generator version:   3.04                
'//              RPC-Generator date:      Nov  8 2007         
'//              File Generation date:    Thu Sep 11 14:39:17 2008      
'//              Stubs name:              STUBSSURVEY2000_DLL           
'//
'// --------------------------------------------------------------------------------------------------------------------
'//
'// Copyright by Leica Geosystems AG, Heerbrugg
'//
'// ====================================================================================================================
'//
#If Win32 Then

' Global constant declarations

Global Const GRC_TPS = 0
Global Const GRC_SUP = 0
Global Const GRC_ANG = 256
Global Const GRC_ATA = 512
Global Const GRC_EDM = 768
Global Const GRC_GMF = 1024
Global Const GRC_TMC = 1280
Global Const GRC_MEM = 1536
Global Const GRC_MOT = 1792
Global Const GRC_LDR = 2048
Global Const GRC_BMM = 2304
Global Const GRC_TXT = 2560
Global Const GRC_MMI = 2816
Global Const GRC_COM = 3072
Global Const GRC_DBM = 3328
Global Const GRC_DEL = 3584
Global Const GRC_FIL = 3840
Global Const GRC_CSV = 4096
Global Const GRC_CTL = 4352
Global Const GRC_STP = 4608
Global Const GRC_DPL = 4864
Global Const GRC_WIR = 5120
Global Const GRC_USR = 8192
Global Const GRC_ALT = 8448
Global Const GRC_AUT = 8704
Global Const GRC_AUS = 8960
Global Const GRC_BAP = 9216
Global Const GRC_SAP = 9472
Global Const GRC_COD = 9728
Global Const GRC_BAS = 9984
Global Const GRC_IOS = 10240
Global Const GRC_CNF = 10496
Global Const GRC_CSX = 11264
Global Const GRC_RCS = 11520
Global Const GRC_XIT = 11776
Global Const GRC_DNA = 12032
Global Const GRC_ICD = 12288
Global Const GRC_KDM = 12544
Global Const GRC_LOD = 12800
Global Const GRC_FTR = 13056
Global Const GRC_TRK = 13312
Global Const GRC_IMG = 13568
Global Const GRC_VNF = 16128
Global Const GRC_GPS = 16384
Global Const GRC_TST = 16640
Global Const GRC_PTF = 20224
Global Const GRC_APP = 20480
Global Const GRC_RES = 28672
Global Const GRC_OK = 0
Global Const GRC_UNDEFINED = 1
Global Const GRC_IVPARAM = 2
Global Const GRC_IVRESULT = 3
Global Const GRC_FATAL = 4
Global Const GRC_NOT_IMPL = 5
Global Const GRC_TIME_OUT = 6
Global Const GRC_SET_INCOMPL = 7
Global Const GRC_ABORT = 8
Global Const GRC_NOMEMORY = 9
Global Const GRC_NOTINIT = 10
Global Const GRC_SHUT_DOWN = 12
Global Const GRC_SYSBUSY = 13
Global Const GRC_HWFAILURE = 14
Global Const GRC_ABORT_APPL = 15
Global Const GRC_LOW_POWER = 16
Global Const GRC_IVVERSION = 17
Global Const GRC_BATT_EMPTY = 18
Global Const GRC_NO_EVENT = 20
Global Const GRC_OUT_OF_TEMP = 21
Global Const GRC_INSTRUMENT_TILT = 22
Global Const GRC_COM_SETTING = 23
Global Const GRC_NO_ACTION = 24
Global Const GRC_SLEEP_MODE = 25
Global Const GRC_NOTOK = 26
Global Const GRC_NA = 27
Global Const GRC_OVERFLOW = 28
Global Const GRC_STOPPED = 29
Global Const GRC_COM_ERO = 3072
Global Const GRC_COM_CANT_ENCODE = 3073
Global Const GRC_COM_CANT_DECODE = 3074
Global Const GRC_COM_CANT_SEND = 3075
Global Const GRC_COM_CANT_RECV = 3076
Global Const GRC_COM_TIMEDOUT = 3077
Global Const GRC_COM_WRONG_FORMAT = 3078
Global Const GRC_COM_VER_MISMATCH = 3079
Global Const GRC_COM_CANT_DECODE_REQ = 3080
Global Const GRC_COM_PROC_UNAVAIL = 3081
Global Const GRC_COM_CANT_ENCODE_REP = 3082
Global Const GRC_COM_SYSTEM_ERR = 3083
Global Const GRC_COM_FAILED = 3085
Global Const GRC_COM_NO_BINARY = 3086
Global Const GRC_COM_INTR = 3087
Global Const GRC_COM_REQUIRES_8DBITS = 3090
Global Const GRC_COM_TR_ID_MISMATCH = 3093
Global Const GRC_COM_NOT_GEOCOM = 3094
Global Const GRC_COM_UNKNOWN_PORT = 3095
Global Const GRC_COM_ERO_END = 3099
Global Const GRC_COM_OVERRUN = 3100
Global Const GRC_COM_SRVR_RX_CHECKSUM_ERROR = 3101
Global Const GRC_COM_CLNT_RX_CHECKSUM_ERROR = 3102
Global Const GRC_COM_PORT_NOT_AVAILABLE = 3103
Global Const GRC_COM_PORT_NOT_OPEN = 3104
Global Const GRC_COM_NO_PARTNER = 3105
Global Const GRC_COM_ERO_NOT_STARTED = 3106
Global Const GRC_COM_CONS_REQ = 3107
Global Const GRC_COM_SRVR_IS_SLEEPING = 3108
Global Const GRC_COM_SRVR_IS_OFF = 3109
Global Const GRC_LOD_ALLOC_FAIL = 12801
Global Const GRC_LOD_OPEN_LOG_OBJ_FAIL = 12802
Global Const GRC_LOD_READ_LOG_OBJ_FAIL = 12803
Global Const GRC_LOD_INVALID_GENERAL_HEADER = 12804
Global Const GRC_LOD_INVALID_PHYSICAL_OBJ = 12805
Global Const GRC_LOD_MAX_TRY_REACHED = 12806
Global Const GRC_LOD_INVALID_STATE = 12807
Global Const GRC_LOD_WRONG_SEQUENCE_NUMBER = 12808
Global Const GRC_LOD_WRITE_LOG_OBJ_FAIL = 12809
Global Const GRC_OLD_LOG_OBJ_HDR_VERSION = 12810
Global Const GRC_LOD_WRONGSTATE = 12816
Global Const GRC_LOD_FILEACC = 12817
Global Const GRC_LOD_UNRESOLVED_DEP = 12818
Global Const GRC_LOD_MAINTENANCE_CONFLICT = 12819
Global Const GRC_LOD_FW_CONFLICT = 12820
Global Const GRC_LOD_HW_CONFLICT = 12821
Global Const GRC_LOD_OLD_VERSION = 12822
Global Const GRC_LOD_NO_UPLOAD_MEM = 12823
Global Const GRC_LOD_NO_LICENSE = 12824
Global Const GRC_LOD_APP_RUNNING = 12825
Global Const GRC_LOD_LANGUAGE_CONFLICT = 12826
Global Const GRC_LOD_ALREADY_EXISTS = 12827
Global Const GRC_LOD_LOADER = 12828
Global Const GRC_LOD_INVALID_PHY_HEADER_LEN = 12830
Global Const GRC_LOD_INVALID_SEG_HDR_SIZE = 12831
Global Const GRC_LOD_INVALID_POBJ_BDY_CRC16 = 12832
Global Const GRC_LOD_INVALID_FLASH_CRC16 = 12833
Global Const GRC_LOD_FLASH_ERASE_ERROR = 12834
Global Const GRC_LOD_FLASH_WRITE_ERROR = 12835
Global Const GRC_LOD_INVALID_HDR_IN_FLASH = 12836
Global Const GRC_LOD_INVALID_CODE_IN_FLASH = 12837
Global Const GRC_LOD_CACHE_INVALIDATE_ERROR = 12838
Global Const GRC_LOD_OVERLAPING_FLASH = 12839
Global Const GRC_LOD_ADDR_TBL_FULL = 12840
Global Const GRC_LOD_NO_ADDR_TBL_AVAILABLE = 12841
Global Const GRC_LOD_OVELAPING_OTHER_CODE = 12842
Global Const GRC_LOD_OVERLAPING_MINI_BOOT = 12843
Global Const GRC_LOD_MINI_BOOT_MISSING = 12844
Global Const GRC_LOD_LOD_LSY_RUNNING_IN_ROM = 12845
Global Const GRC_LOD_ALREADY_LOADED = 12846
Global Const GRC_LOD_BOOT_MISSING = 12847
Global Const GRC_LOD_FILESYSTEM_NOT_SUPPORT01 = 12848
Global Const FTR_MAX_BLOCKSIZE = 450
Global Const GRC_FTR_FILEACCESS = 13056
Global Const GRC_FTR_WRONGFILEBLOCKNUMBER = 13057
Global Const GRC_FTR_NOTENOUGHSPACE = 13058
Global Const GRC_FTR_INVALIDINPUT = 13059
Global Const GRC_FTR_MISSINGSETUP = 13060
Global Const FIL_MAX_BUFFER = 450
Global Const GRC_FIL_NO_ERROR = 3840
Global Const GRC_FIL_FILNAME_NOT_FOUND = 3845
Global Const GRC_FIL_NO_MAKE_DIRECTORY = 3880
Global Const GRC_FIL_RENAME_FILE_FAILED = 3886
Global Const GRC_FIL_INVALID_PATH = 3888
Global Const GRC_FIL_FILE_NOT_DELETED = 3898
Global Const GRC_FIL_ILLEGAL_ORIGIN = 3906
Global Const GRC_FIL_END_OF_FILE = 3924
Global Const GRC_FIL_NO_MORE_ROOM_ON_MEDIUM = 3931
Global Const GRC_FIL_PATTERN_DOES_NOT_MATCH = 3932
Global Const GRC_FIL_FILE_ALREADY_OPEND_FOR02 = 3948
Global Const GRC_FIL_WRITE_TO_MEDIUM_FAILED = 3957
Global Const GRC_FIL_START_SEARCH_NOT_CALLE03 = 3963
Global Const GRC_FIL_NO_STORAGE_MEDIUM_IN_D04 = 3964
Global Const GRC_FIL_ILLEGAL_FILE_OPEN_TYPE = 3965
Global Const GRC_FIL_MEDIUM_NEWLY_INSERTED = 3966
Global Const GRC_FIL_MEMORY_FAILED = 3967
Global Const GRC_FIL_FATAL_ERROR = 3968
Global Const GRC_FIL_FAT_ERROR = 3969
Global Const GRC_FIL_ILLEGAL_DRIVE = 3970
Global Const GRC_FIL_INVALID_FILE_DESCR = 3971
Global Const GRC_FIL_SEEK_FAILED = 3972
Global Const GRC_FIL_CANNOT_DELETE = 3973
Global Const GRC_FIL_MEDIUM_WRITE_PROTECTED = 3974
Global Const GRC_FIL_BATTERY_LOW = 3975
Global Const GRC_FIL_BAD_FORMAT = 3976
Global Const GRC_FIL_UNSUPPORTED_MEDIUM = 3977
Global Const GRC_FIL_RENAME_DIR_FAILED = 3978
Global Const GRC_BMM_XFER_PENDING = 2305
Global Const GRC_BMM_NO_XFER_OPEN = 2306
Global Const GRC_BMM_UNKNOWN_CHARSET = 2307
Global Const GRC_BMM_NOT_INSTALLED = 2308
Global Const GRC_BMM_ALREADY_EXIST = 2309
Global Const GRC_BMM_CANT_DELETE = 2310
Global Const GRC_BMM_MEM_ERROR = 2311
Global Const GRC_BMM_CHARSET_USED = 2312
Global Const GRC_BMM_CHARSET_SAVED = 2313
Global Const GRC_BMM_INVALID_ADR = 2314
Global Const GRC_BMM_CANCELANDADR_ERROR = 2315
Global Const GRC_BMM_INVALID_SIZE = 2316
Global Const GRC_BMM_CANCELANDINVSIZE_ERROR = 2317
Global Const GRC_BMM_ALL_GROUP_OCC = 2318
Global Const GRC_BMM_CANT_DEL_LAYERS = 2319
Global Const GRC_BMM_UNKNOWN_LAYER = 2320
Global Const GRC_BMM_INVALID_LAYERLEN = 2321
Global Const GRC_KDM_NOT_AVAILABLE = 12544
Global Const IOS_BEEP_STDINTENS = 100
Global Const nMOT_AXES = 2
Global Const AUT_SEARCH_DEF = 0.040000
Global Const AUT_CLOCKWISE = 1
Global Const AUT_CALCDIRECTION = 0
Global Const AUT_ANTICLOCKWISE = -1
Global Const GRC_ATA_NOT_READY = 512
Global Const GRC_ATA_NO_RESULT = 513
Global Const GRC_ATA_SEVERAL_TARGETS = 514
Global Const GRC_ATA_BIG_SPOT = 515
Global Const GRC_ATA_BACKGROUND = 516
Global Const GRC_ATA_NO_TARGETS = 517
Global Const GRC_ATA_NOT_ACCURAT = 518
Global Const GRC_ATA_SPOT_ON_EDGE = 519
Global Const GRC_ATA_BLOOMING = 522
Global Const GRC_ATA_NOT_BUSY = 523
Global Const GRC_ATA_STRANGE_LIGHT = 524
Global Const GRC_ATA_V24_FAIL = 525
Global Const GRC_ATA_HZ_FAIL = 527
Global Const GRC_ATA_V_FAIL = 528
Global Const GRC_ATA_HZ_STRANGE_L = 529
Global Const GRC_ATA_V_STRANGE_L = 530
Global Const GRC_ATA_PS_NOT_READY = 538
Global Const GRC_ATA_ATR_SYSTEM_ERR = 539
Global Const EDM_CURRENT_STATE = 0
Global Const EDM_LAST_STATE = 1
Global Const GRC_EDM_SYSTEM_ERR = 769
Global Const GRC_EDM_INVALID_COMMAND = 770
Global Const GRC_EDM_BOOM_ERR = 771
Global Const GRC_EDM_SIGN_LOW_ERR = 772
Global Const GRC_EDM_DIL_ERR = 773
Global Const GRC_EDM_SIGN_HIGH_ERR = 774
Global Const GRC_EDM_TIMEOUT = 775
Global Const GRC_EDM_FLUKT_ERR = 776
Global Const GRC_EDM_FMOT_ERR = 777
Global Const GRC_EDM_DEV_NOT_INSTALLED = 778
Global Const GRC_EDM_NOT_FOUND = 779
Global Const GRC_EDM_ERROR_RECEIVED = 780
Global Const GRC_EDM_MISSING_SRVPWD = 781
Global Const GRC_EDM_INVALID_ANSWER = 782
Global Const GRC_EDM_SEND_ERR = 783
Global Const GRC_EDM_RECEIVE_ERR = 784
Global Const GRC_EDM_INTERNAL_ERR = 785
Global Const GRC_EDM_BUSY = 786
Global Const GRC_EDM_NO_MEASACTIVITY = 787
Global Const GRC_EDM_CHKSUM_ERR = 788
Global Const GRC_EDM_INIT_OR_STOP_ERR = 789
Global Const GRC_EDM_SRL_NOT_AVAILABLE = 790
Global Const GRC_EDM_MEAS_ABORTED = 791
Global Const GRC_EDM_SLDR_TRANSFER_PENDING = 798
Global Const GRC_EDM_SLDR_TRANSFER_ILLEGAL = 799
Global Const GRC_EDM_SLDR_DATA_ERROR = 800
Global Const GRC_EDM_SLDR_CHK_SUM_ERROR = 801
Global Const GRC_EDM_SLDR_ADDR_ERROR = 802
Global Const GRC_EDM_SLDR_INV_LOADFILE = 803
Global Const GRC_EDM_SLDR_UNSUPPORTED = 804
Global Const GRC_EDM_UNKNOW_ERR = 808
Global Const GRC_EDM_DISTRANGE_ERR = 818
Global Const GRC_EDM_SIGNTONOISE_ERR = 819
Global Const GRC_EDM_NOISEHIGH_ERR = 820
Global Const GRC_EDM_PWD_NOTSET = 821
Global Const GRC_EDM_ACTION_NO_MORE_VALID = 822
Global Const GRC_EDM_MULTRG_ERR = 823
Global Const GRC_MOT_UNREADY = 1792
Global Const GRC_MOT_BUSY = 1793
Global Const GRC_MOT_NOT_OCONST = 1794
Global Const GRC_MOT_NOT_CONFIG = 1795
Global Const GRC_MOT_NOT_POSIT = 1796
Global Const GRC_MOT_NOT_SERVICE = 1797
Global Const GRC_MOT_NOT_BUSY = 1798
Global Const GRC_MOT_NOT_LOCK = 1799
Global Const GRC_MOT_NOT_SPIRAL = 1800
Global Const GRC_AUT_TIMEOUT = 8704
Global Const GRC_AUT_DETENT_ERROR = 8705
Global Const GRC_AUT_ANGLE_ERROR = 8706
Global Const GRC_AUT_MOTOR_ERROR = 8707
Global Const GRC_AUT_INCACC = 8708
Global Const GRC_AUT_DEV_ERROR = 8709
Global Const GRC_AUT_NO_TARGET = 8710
Global Const GRC_AUT_MULTIPLE_TARGETS = 8711
Global Const GRC_AUT_BAD_ENVIRONMENT = 8712
Global Const GRC_AUT_DETECTOR_ERROR = 8713
Global Const GRC_AUT_NOT_ENABLED = 8714
Global Const GRC_AUT_ACCURACY = 8716
Global Const GRC_AUT_DIST_STARTED = 8717
Global Const GRC_AUT_SUPPLY_TOO_HIGH = 8718
Global Const GRC_AUT_SUPPLY_TOO_LOW = 8719
Global Const GRC_AUT_NO_WORKING_AREA = 8720
Global Const GRC_AUT_ARRAY_FULL = 8721
Global Const GRC_TMC_NO_FULL_CORRECTION = 1283
Global Const GRC_TMC_ACCURACY_GUARANTEE = 1284
Global Const GRC_TMC_ANGLE_OK = 1285
Global Const GRC_TMC_ANGLE_NOT_FULL_CORR = 1288
Global Const GRC_TMC_ANGLE_NO_ACC_GUARANTY = 1289
Global Const GRC_TMC_ANGLE_ERROR = 1290
Global Const GRC_TMC_DIST_PPM = 1291
Global Const GRC_TMC_DIST_ERROR = 1292
Global Const GRC_TMC_BUSY = 1293
Global Const GRC_TMC_SIGNAL_ERROR = 1294
Global Const GRC_BAP_CHANGE_ALL_TO_DIST = 9217
Global Const BAP_NO_TARGET_TYPES = 2
Global Const BAP_NO_PRISMTYPES = 8
Global Const BAP_PRISMNAME_LEN = 16
Global Const RC_NO_RECORD_FOUND = 13313
Global Const IMG_MAX_FILE_PREFIX_LEN = 20

' Enumerated global constants

' Enumerated type BOOLE

Global Const FALSE_ = 0
Global Const TRUE_ = 1

' Enumerated type COM_TPS_STARTUP_MODE

Global Const COM_TPS_STARTUP_LOCAL = 0
Global Const COM_TPS_STARTUP_REMOTE = 1

' Enumerated type COM_TPS_STOP_MODE

Global Const COM_TPS_STOP_SHUT_DOWN = 0
Global Const COM_TPS_STOP_SLEEP = 1
Global Const COM_TPS_STOP_REBOOT = 2

' Enumerated type ON_OFF_TYPE

Global Const OFF = 0
Global Const ON_ = 1

' Enumerated type FTR_DEVICETYPE

Global Const FTR_DEVICE_INTERNAL = 0
Global Const FTR_DEVICE_PCPARD = 1
Global Const FTR_DEVICE_SYSTEMMEMORY = 2
Global Const FTR_DEVICE_APPLICATIONMEMORY = 3

' Enumerated type FTR_FILETYPE

Global Const FTR_FILE_CONFIGSET = 100
Global Const FTR_FILE_ANTENNAINFORMATION = 101
Global Const FTR_FILE_GEOID = 102
Global Const FTR_FILE_POINTRELATEDDB = 103
Global Const FTR_FILE_OBSRELATEDDB = 104
Global Const FTR_FILE_OBSRELATEDDBEXT = 54
Global Const FTR_FILE_ADDJOBS = 105
Global Const FTR_FILE_COORDSYSTEM = 106
Global Const FTR_FILE_CODELIST = 107
Global Const FTR_FILE_GSI = 109
Global Const FTR_FILE_USERASCII = 110
Global Const FTR_FILE_RINGBUFFER = 111
Global Const FTR_FILE_RINGBUFFEREXT = 61
Global Const FTR_FILE_CSCS = 113
Global Const FTR_FILE_MODEMGSMSTATIONLIST = 115
Global Const FTR_FILE_CFCLOGMASK = 116
Global Const FTR_FILE_FIRMWARE = 118
Global Const FTR_FILE_APPLICATION = 119
Global Const FTR_FILE_KEY = 120
Global Const FTR_FILE_LANGUAGE = 121
Global Const FTR_FILE_TERMINAL_FW = 122
Global Const FTR_FILE_FORMATFILE = 123
Global Const FTR_FILE_RADAR2_CONF = 124
Global Const FTR_FILE_PZ90TRAFO = 125
Global Const FTR_FILE_RINEXLOG = 126
Global Const FTR_FILE_RINEXLOGEXT = 127
Global Const FTR_FILE_RINEXLOGRB = 128
Global Const FTR_FILE_RINEXLOGRBEXT = 129
Global Const FTR_FILE_IPHOSTLIST = 130
Global Const FTR_FILE_RINEXLOGZIP = 131
Global Const FTR_FILE_FTPCLIENT = 132
Global Const FTR_FILE_POINTIDTEMPLATE = 150
Global Const FTR_FILE_SYSTEMCONFIG = 151
Global Const FTR_FILE_CONFIGSETTEMP = 152
Global Const FTR_FILE_SYSTEMCONFIGTEMP = 153
Global Const FTR_FILE_CONFIGSETDEF = 154
Global Const FTR_FILE_COORDSYSTEMTEMP = 155
Global Const FTR_FILE_ALMANAC = 156
Global Const FTR_FILE_APPLOGFILE = 157
Global Const FTR_FILE_OWICONFIG = 158
Global Const FTR_FILE_RADAR2CONFIG = 159
Global Const FTR_FILE_IMAGES = 170
Global Const FTR_FILE_UNKNOWN = 200

' Enumerated type CSV_POWER_PATH

Global Const CSV_CURRENT_POWER = 0
Global Const CSV_EXTERNAL_POWER = 1
Global Const CSV_INTERNAL_POWER = 2

' Enumerated type TPS_DEVICE_TYPE

Global Const TPS_DEVICE_T = 0
Global Const TPS_DEVICE_MOT = 4
Global Const TPS_DEVICE_ATR = 8
Global Const TPS_DEVICE_EGL = 16
Global Const TPS_DEVICE_DB = 32
Global Const TPS_DEVICE_DL = 64
Global Const TPS_DEVICE_LP = 128
Global Const TPS_DEVICE_TC1 = 1
Global Const TPS_DEVICE_TC2 = 2
Global Const TPS_DEVICE_TC = 1
Global Const TPS_DEVICE_TCR = 2
Global Const TPS_DEVICE_ATC = 256
Global Const TPS_DEVICE_LPNT = 512
Global Const TPS_DEVICE_RL_EXT = 1024
Global Const TPS_DEVICE_PS = 2048
Global Const TPS_DEVICE_SIM = 16384

' Enumerated type TPS_DEVICE_CLASS

Global Const TPS_CLASS_1100 = 0
Global Const TPS_CLASS_1700 = 1
Global Const TPS_CLASS_1800 = 2
Global Const TPS_CLASS_5000 = 3
Global Const TPS_CLASS_6000 = 4
Global Const TPS_CLASS_1500 = 5
Global Const TPS_CLASS_2003 = 6
Global Const TPS_CLASS_5005 = 7
Global Const TPS_CLASS_5100 = 8
Global Const TPS_CLASS_1102 = 100
Global Const TPS_CLASS_1103 = 101
Global Const TPS_CLASS_1105 = 102
Global Const TPS_CLASS_1101 = 103
Global Const TPS_CLASS_1202 = 200
Global Const TPS_CLASS_1203 = 201
Global Const TPS_CLASS_1205 = 202
Global Const TPS_CLASS_1201 = 203
Global Const TPS_CLASS_3000 = 300
Global Const TPS_CLASS_3001 = 301
Global Const TPS_CLASS_1202_LITE = 400
Global Const TPS_CLASS_1203_LITE = 401
Global Const TPS_CLASS_1205_LITE = 402
Global Const TPS_CLASS_1201_LITE = 403
Global Const TPS_CLASS_TS01 = 500
Global Const TPS_CLASS_TS02 = 501
Global Const TPS_CLASS_TS03 = 502
Global Const TPS_CLASS_TS05 = 503
Global Const TPS_CLASS_TS06 = 504
Global Const TPS_CLASS_TS07 = 505

' Enumerated type TPS_REFLESS_CLASS

Global Const TPS_REFLESS_NONE = 0
Global Const TPS_REFLESS_R100 = 1
Global Const TPS_REFLESS_R300 = 2
Global Const TPS_REFLESS_R400 = 3
Global Const TPS_REFLESS_R1000 = 4

' Enumerated type MOT_MODE

Global Const MOT_POSIT = 0
Global Const MOT_OCONST = 1
Global Const MOT_MANUPOS = 2
Global Const MOT_LOCK = 3
Global Const MOT_BREAK = 4
Global Const MOT_SERVICE = 5
Global Const MOT_SEARCH = 6
Global Const MOT_NONE = 7

' Enumerated type MOT_LOCK_STATUS

Global Const MOT_LOCKED_OUT = 0
Global Const MOT_LOCKED_IN = 1
Global Const MOT_PREDICTION = 2

' Enumerated type MOT_STOPMODE

Global Const MOT_NORMAL = 0
Global Const MOT_SHUTDOWN = 1

' Enumerated type AUT_POSMODE

Global Const AUT_NORMAL = 0
Global Const AUT_PRECISE = 1

' Enumerated type AUT_ATRMODE

Global Const AUT_POSITION = 0
Global Const AUT_TARGET = 1

' Enumerated type AUT_ADJMODE

Global Const AUT_NORM_MODE = 0
Global Const AUT_POINT_MODE = 1
Global Const AUT_DEFINE_MODE = 2

' Enumerated type EDM_MODE

Global Const EDM_MODE_NOT_USED = 0
Global Const EDM_SINGLE_TAPE = 1
Global Const EDM_SINGLE_STANDARD = 2
Global Const EDM_SINGLE_FAST = 3
Global Const EDM_SINGLE_LRANGE = 4
Global Const EDM_SINGLE_SRANGE = 5
Global Const EDM_CONT_STANDARD = 6
Global Const EDM_CONT_DYNAMIC = 7
Global Const EDM_CONT_REFLESS = 8
Global Const EDM_CONT_FAST = 9
Global Const EDM_AVERAGE_IR = 10
Global Const EDM_AVERAGE_SR = 11
Global Const EDM_AVERAGE_LR = 12
Global Const EDM_PRECISE_IR = 13

' Enumerated type EDM_EGLINTENSITY_TYPE

Global Const EDM_EGLINTEN_OFF = 0
Global Const EDM_EGLINTEN_LOW = 1
Global Const EDM_EGLINTEN_MID = 2
Global Const EDM_EGLINTEN_HIGH = 3

' Enumerated type EDM_MEASUREMENT_TYPE

Global Const EDM_SIGNAL_MEASUREMENT = 1
Global Const EDM_FREQ_MEASUREMENT = 2
Global Const EDM_DIST_MEASUREMENT = 4
Global Const EDM_ANY_MEASUREMENT = 8

' Enumerated type TMC_FACE_DEF

Global Const TMC_FACE_NORMAL = 0
Global Const TMC_FACE_TURN = 1

' Enumerated type TMC_INCLINE_PRG

Global Const TMC_MEA_INC = 0
Global Const TMC_AUTO_INC = 1
Global Const TMC_PLANE_INC = 2
Global Const TMC_APRIORI_INC = 3
Global Const TMC_ADJ_INC = 4
Global Const TMC_REQUIRE_INC = 5

' Enumerated type TMC_MEASURE_PRG

Global Const TMC_STOP = 0
Global Const TMC_DEF_DIST = 1
Global Const TMC_TRK_DIST = 2
Global Const TMC_CLEAR = 3
Global Const TMC_SIGNAL = 4
Global Const TMC_IDLE_TASK = 5
Global Const TMC_DO_MEASURE = 6
Global Const TMC_WORK_TIME = 7
Global Const TMC_RTRK_DIST = 8
Global Const TMC_MEAS_INCL = 9
Global Const TMC_RED_TRK_DIST = 10
Global Const TMC_FREQUENCY = 11
Global Const TMC_SUSPEND_DIST_PRG = 12
Global Const TMC_RESUME_DIST_PRG = 13
Global Const TMC_NEXT_DEF_DIST = 14
Global Const TMC_DYNAMIC_TRK_DIST = 15

' Enumerated type TMC_FACE

Global Const TMC_FACE_1 = 0
Global Const TMC_FACE_2 = 1

' Enumerated type SUP_AUTO_POWER

Global Const AUTO_POWER_DISABLED = 0
Global Const AUTO_POWER_SLEEP = 1
Global Const AUTO_POWER_OFF = 2

' Enumerated type BAP_PRISMTYPE

Global Const BAP_PRISM_ROUND = 0
Global Const BAP_PRISM_MINI = 1
Global Const BAP_PRISM_TAPE = 2
Global Const BAP_PRISM_360 = 3
Global Const BAP_PRISM_USER1 = 4
Global Const BAP_PRISM_USER2 = 5
Global Const BAP_PRISM_USER3 = 6
Global Const BAP_PRISM_360_MINI = 7
Global Const BAP_PRISM_MINI_ZERO = 8
Global Const BAP_PRISM_USER = 9
Global Const BAP_PRISM_HDS_TAPE = 10
Global Const BAP_PRISM_GRZ121_ROUND = 11
Global Const BAP_PRISM_MA_MPR122 = 12

' Enumerated type BAP_REFLTYPE

Global Const BAP_REFL_UNDEF = 0
Global Const BAP_REFL_PRISM = 1
Global Const BAP_REFL_TAPE = 2

' Enumerated type BAP_ATRSETTING

Global Const BAP_ATRSET_NORMAL = 0
Global Const BAP_ATRSET_LOWVIS_ON = 1
Global Const BAP_ATRSET_LOWVIS_AON = 2
Global Const BAP_ATRSET_SRANGE_ON = 3
Global Const BAP_ATRSET_SRANGE_AON = 4

' Enumerated type BAP_MEASURE_PRG

Global Const BAP_NO_MEAS = 0
Global Const BAP_NO_DIST = 1
Global Const BAP_DEF_DIST = 2
Global Const BAP_TRK_DIST = 3
Global Const BAP_RTRK_DIST = 4
Global Const BAP_CLEAR_DIST = 5
Global Const BAP_STOP_TRK = 6
Global Const BAP_RED_TRK_DIST = 7

' Enumerated type BAP_USER_MEASPRG

Global Const BAP_SINGLE_REF_STANDARD = 0
Global Const BAP_SINGLE_REF_FAST = 1
Global Const BAP_SINGLE_REF_VISIBLE = 2
Global Const BAP_SINGLE_RLESS_VISIBLE = 3
Global Const BAP_CONT_REF_STANDARD = 4
Global Const BAP_CONT_REF_FAST = 5
Global Const BAP_CONT_RLESS_VISIBLE = 6
Global Const BAP_AVG_REF_STANDARD = 7
Global Const BAP_AVG_REF_VISIBLE = 8
Global Const BAP_AVG_RLESS_VISIBLE = 9
Global Const BAP_CONT_REF_SYNCHRO = 10

' Enumerated type BAP_TARGET_TYPE

Global Const BAP_REFL_USE = 0
Global Const BAP_REFL_LESS = 1

' Enumerated type IMG_MEM_TYPE

Global Const IMG_INTERNAL_MEMORY = 0
Global Const IMG_PC_CARD = 1

' Structure definitions

Type DATE_TYPE
    Year As Integer
    Month As Byte
    Day As Byte
End Type

Type TIME_TYPE
    Hour As Byte
    Minute As Byte
    Second As Byte
    cPadding As Byte
End Type

Type DATIME
    Date As DATE_TYPE
    Time As TIME_TYPE
End Type

Type FTR_BLOCK
    FTR_BLOCK_val As String * 450
    FTR_BLOCK_len As Integer
End Type

Type FTR_MODTIME
    ucHour As Byte
    ucMinute As Byte
    ucSecond As Byte
    ucCentisecond As Byte
End Type

Type FTR_MODDATE
    ucDay As Byte
    ucMonth As Byte
    ucYear As Byte
End Type

Type FTR_DIRINFO
    szFileName As String * 81
    ulFileSize As Long
    ModTime As FTR_MODTIME
    ModDate As FTR_MODDATE
End Type

Type TPS_DEVICE
    eClass As Long                                ' TPS_DEVICE_CLASS
    Type As Long                                  ' TPS_DEVICE_TYPE
End Type

Type MOT_COM_PAIR
    adValue(0 To 1) As Double
End Type

Type AUT_POSTOL
    adPosTol(0 To 1) As Double
End Type

Type AUT_TIMEOUT
    adPosTimeout(0 To 1) As Double
End Type

Type AUT_DETENT
    dPositiveDetent As Double
    dNegativeDetent As Double
    bActive As Long                               ' BOOLE
End Type

Type AUT_SEARCH_SPIRAL
    dRangeHz As Double
    dRangeV As Double
End Type

Type AUT_SEARCH_AREA
    dCenterHz As Double
    dCenterV As Double
    dRangeHz As Double
    dRangeV As Double
    bEnabled As Long                              ' BOOLE
End Type

Type TMC_INCLINE
    dCrossIncline As Double
    dLengthIncline As Double
    dAccuracyIncline As Double
    InclineTime As Long
End Type

Type TMC_ATR
    dHz As Double
    dV As Double
    dAtrAccuracy As Double
    AtrTime As Long
End Type

Type TMC_ANGLE
    dHz As Double
    dV As Double
    dAngleAccuracy As Double
    AngleTime As Long
    Incline As TMC_INCLINE
    eFace As Long                                 ' TMC_FACE
End Type

Type TMC_ANGLE_ALL
    dHz As Double
    dV As Double
    AngleTime As Long
    dCrossIncline As Double
    dLengthIncline As Double
    InclineTime As Long
    IncMode As Long                               ' TMC_INCLINE_PRG
    dAtrHz As Double
    dAtrV As Double
    AtrTime As Long
    AtrRetCode As Integer
End Type

Type TMC_HZ_V_ANG
    dHz As Double
    dV As Double
End Type

Type TMC_COORDINATE
    dE As Double
    dN As Double
    dH As Double
    CoordTime As Long
    dE_Cont As Double
    dN_Cont As Double
    dH_Cont As Double
    CoordContTime As Long
End Type

Type TMC_EDM_SIGNAL
    dSignalIntensity As Double
    Time As Long
End Type

Type TMC_ANG_SWITCH
    eInclineCorr As Long                          ' ON_OFF_TYPE
    eStandAxisCorr As Long                        ' ON_OFF_TYPE
    eCollimationCorr As Long                      ' ON_OFF_TYPE
    eTiltAxisCorr As Long                         ' ON_OFF_TYPE
End Type

Type TMC_ATMOS_TEMPERATURE
    dLambda As Double
    dPressure As Double
    dDryTemperature As Double
    dWetTemperature As Double
End Type

Type TMC_REFRACTION
    eRefOn As Long                                ' ON_OFF_TYPE
    dEarthRadius As Double
    dRefractiveScale As Double
End Type

Type TMC_HEIGHT
    dHr As Double
End Type

Type TMC_STATION
    dE0 As Double
    dN0 As Double
    dH0 As Double
    dHi As Double
End Type

Type TMC_OFFSETDIST
    dLengthVal As Double
    dCrossVal As Double
    dHeightVal As Double
End Type

Type BAP_PRISMDEF
    szName As String * 17
    dAddConst As Double
    eReflType As Long                             ' BAP_REFLTYPE
End Type

Type IMG_TCC_CONFIG
    ulImageNumber As Long
    ulQuality As Long
    ulSubFunctNumber As Long
    szFileNamePrefix As String * 20
End Type

' Typedef'd arrays

' Geocom Visual Basic API

' Enumerated type COM_PORT

Global Const COM_1 = 0
Global Const COM_2 = 1
Global Const COM_3 = 2
Global Const COM_4 = 3

' Enumerated type COM_FORMAT

Global Const COM_ASCII  = 0
Global Const COM_BINARY = 1

' Enumerated type COM_BAUD_RATE

Global Const COM_BAUD_38400 = 0
Global Const COM_BAUD_19200 = 1
Global Const COM_BAUD_9600  = 2
Global Const COM_BAUD_4800  = 3
Global Const COM_BAUD_2400  = 4
Global Const COM_BAUD_115200 = 5
Global Const COM_BAUD_57600  = 6

' Enumerated type COM_TPS_STATUS

Global Const COM_TPS_OFF = 0
Global Const COM_TPS_SLEEPING = 1
Global Const COM_TPS_READY  = 2
Global Const COM_TPS_UNKNOWN  = 3

' Geocom public local functions

Declare Function VB_COM_Init Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_COM_End Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_COM_OpenConnection Lib "GEOCOMS2K.DLL" (ByVal Port As Long, Baud As Long, ByVal Retries As Integer) As Integer
Declare Function VB_COM_CloseConnection Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_COM_GetBaudRate Lib "GEOCOMS2K.DLL" (eRate As Long) As Integer
Declare Function VB_COM_SetBaudRate Lib "GEOCOMS2K.DLL" (ByVal eRate As Long) As Integer
Declare Function VB_COM_GetDoublePrecision Lib "GEOCOMS2K.DLL" (nDigits As Integer) As Integer
Declare Function VB_COM_SetDoublePrecision Lib "GEOCOMS2K.DLL" (ByVal nDigits As Integer) As Integer
Declare Function VB_COM_GetComFormat Lib "GEOCOMS2K.DLL" (Format As Long) As Integer
Declare Function VB_COM_SetComFormat Lib "GEOCOMS2K.DLL" (ByVal Format As Long) As Integer
Declare Function VB_COM_GetTimeOut Lib "GEOCOMS2K.DLL" (Timeout As Integer) As Integer
Declare Function VB_COM_SetTimeOut Lib "GEOCOMS2K.DLL" (ByVal Timeout As Integer) As Integer
Declare Function VB_COM_GetTPSState Lib "GEOCOMS2K.DLL" (State As Long) As Integer
Declare Function VB_COM_UseWindow Lib "GEOCOMS2K.DLL" (ByVal hWnd As Integer) As Integer
Declare Function VB_COM_SetConnDlgFlag Lib "GEOCOMS2K.DLL" (ByVal bShow As Long) As Integer
Declare Function VB_COM_ViewError Lib "GEOCOMS2K.DLL" (ByVal RetCode As Integer, ByVal szMsgTitle As String) As Integer
Declare Function VB_COM_GetErrorText Lib "GEOCOMS2K.DLL" (ByVal RetCode As Integer, ByVal szErrorText As String) As Integer
Declare Function VB_COM_GetWinSWVersion Lib "GEOCOMS2K.DLL" (nRel As Integer, nVer As Integer, nSubVer As Integer) As Integer

' Remote functions

Declare Function VB_AUS_GetUserAtrState Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_AUS_GetUserLockState Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_AUS_SetUserAtrState Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUS_SetUserLockState Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUT_ChangeFace4 Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long, in3 As Long ) As Integer
Declare Function VB_AUT_FineAdjust3 Lib "GEOCOMS2K.DLL" ( in1 As Double, in2 As Double, in3 As Long ) As Integer
Declare Function VB_AUT_GetATRStatus Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_AUT_GetFineAdjustMode Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_AUT_GetLockStatus Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_AUT_GetSearchArea Lib "GEOCOMS2K.DLL" ( out1 As AUT_SEARCH_AREA ) As Integer
Declare Function VB_AUT_GetUserSpiral Lib "GEOCOMS2K.DLL" ( out1 As AUT_SEARCH_SPIRAL ) As Integer
Declare Function VB_AUT_LockIn Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_AUT_MakePositioning4 Lib "GEOCOMS2K.DLL" ( in1 As Double, in2 As Double, in3 As Long, in4 As Long, in5 As Long ) As Integer
Declare Function VB_AUT_PS_EnableRange Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUT_PS_SearchNext Lib "GEOCOMS2K.DLL" ( g As Long, in2 As Long ) As Integer
Declare Function VB_AUT_PS_SearchWindow Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_AUT_PS_SetRange Lib "GEOCOMS2K.DLL" ( g As Long, g As Long ) As Integer
Declare Function VB_AUT_ReadTimeout Lib "GEOCOMS2K.DLL" ( out1 As AUT_TIMEOUT ) As Integer
Declare Function VB_AUT_ReadTol Lib "GEOCOMS2K.DLL" ( out1 As AUT_POSTOL ) As Integer
Declare Function VB_AUT_Search2 Lib "GEOCOMS2K.DLL" ( in1 As Double, in2 As Double, in3 As Long ) As Integer
Declare Function VB_AUT_SetATRStatus Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUT_SetFineAdjustMode Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUT_SetLockStatus Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_AUT_SetSearchArea Lib "GEOCOMS2K.DLL" ( in1 As AUT_SEARCH_AREA ) As Integer
Declare Function VB_AUT_SetTimeout Lib "GEOCOMS2K.DLL" ( in1 As AUT_TIMEOUT ) As Integer
Declare Function VB_AUT_SetTol Lib "GEOCOMS2K.DLL" ( in1 As AUT_POSTOL ) As Integer
Declare Function VB_AUT_SetUserSpiral Lib "GEOCOMS2K.DLL" ( in1 As AUT_SEARCH_SPIRAL ) As Integer
Declare Function VB_BAP_GetATRSetting Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_BAP_GetMeasPrg Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_BAP_GetPrismDef Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As BAP_PRISMDEF ) As Integer
Declare Function VB_BAP_GetPrismType Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_BAP_GetPrismType2 Lib "GEOCOMS2K.DLL" ( out1 As Long, ByVal out2 As String ) As Integer
Declare Function VB_BAP_GetRedATRFov Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_BAP_GetTargetType Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_BAP_GetUserPrismDef Lib "GEOCOMS2K.DLL" ( ByVal in1 As String, out2 As Double, out3 As Long, ByVal out4 As String ) As Integer
Declare Function VB_BAP_MeasDistanceAngle Lib "GEOCOMS2K.DLL" ( inout1 As Long, out2 As Double, out3 As Double, out4 As Double ) As Integer
Declare Function VB_BAP_SearchTarget Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetATRSetting Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetMeasPrg Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetPrismType Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetPrismType2 Lib "GEOCOMS2K.DLL" ( in1 As Long, ByVal in2 As String ) As Integer
Declare Function VB_BAP_SetRedATRFov Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetTargetType Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_BAP_SetUserPrismDef Lib "GEOCOMS2K.DLL" ( ByVal in1 As String, in2 As Double, in3 As Long, ByVal in4 As String ) As Integer
Declare Function VB_BMM_BeepAlarm Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_BMM_BeepNormal Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_COM_GetBinaryAvailable Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_COM_GetSWVersion Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Integer, out3 As Integer ) As Integer
Declare Function VB_COM_SetBinaryAvailable Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_COM_SwitchOffTPS Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_COM_SwitchOnTPS Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_CSV_CheckPower Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Long, out3 As Long ) As Integer
Declare Function VB_CSV_GetDateTime Lib "GEOCOMS2K.DLL" ( out1 As DATIME ) As Integer
Declare Function VB_CSV_GetDateTimeCentiSec Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Integer, out3 As Integer, out4 As Integer, out5 As Integer, out6 As Integer, out7 As Integer ) As Integer
Declare Function VB_CSV_GetDeviceConfig Lib "GEOCOMS2K.DLL" ( out1 As TPS_DEVICE ) As Integer
Declare Function VB_CSV_GetInstrumentName Lib "GEOCOMS2K.DLL" ( ByVal out1 As String ) As Integer
Declare Function VB_CSV_GetInstrumentNo Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_CSV_GetIntTemp Lib "GEOCOMS2K.DLL" ( out1 As Double ) As Integer
Declare Function VB_CSV_GetReflectorlessClass Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_CSV_GetSWVersion2 Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Integer, out3 As Integer ) As Integer
Declare Function VB_CSV_GetUserInstrumentName Lib "GEOCOMS2K.DLL" ( ByVal out1 As String ) As Integer
Declare Function VB_CSV_SetDateTime Lib "GEOCOMS2K.DLL" ( in1 As DATIME ) As Integer
Declare Function VB_CSV_SetUserInstrumentName Lib "GEOCOMS2K.DLL" ( ByVal in1 As String ) As Integer
Declare Function VB_CTL_GetUpCounter Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Integer ) As Integer
Declare Function VB_EDM_GetDLOperatingTime Lib "GEOCOMS2K.DLL" ( out1 As Double ) As Integer
Declare Function VB_EDM_GetEglIntensity Lib "GEOCOMS2K.DLL" ( out1 As Long, in2 As Integer ) As Integer
Declare Function VB_EDM_IsContMeasActive Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As Long ) As Integer
Declare Function VB_EDM_Laserpointer Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_EDM_SetBoomerangFilter Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_EDM_SetDLIntens Lib "GEOCOMS2K.DLL" ( in1 As Byte ) As Integer
Declare Function VB_EDM_SetEglIntensity Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_FTR_AbortDownload Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_FTR_AbortList Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_FTR_Delete Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long, in3 As FTR_MODDATE, ByVal in4 As String, out5 As Integer ) As Integer
Declare Function VB_FTR_Download Lib "GEOCOMS2K.DLL" ( in1 As Integer, out2 As FTR_BLOCK ) As Integer
Declare Function VB_FTR_List Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As Long, out3 As FTR_DIRINFO ) As Integer
Declare Function VB_FTR_SetupDownload Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long, ByVal in3 As String, in4 As Integer, out5 As Integer ) As Integer
Declare Function VB_FTR_SetupList Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long, ByVal in3 As String ) As Integer
Declare Function VB_IMG_GetTccConfig Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As IMG_TCC_CONFIG ) As Integer
Declare Function VB_IMG_SetTccConfig Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As IMG_TCC_CONFIG ) As Integer
Declare Function VB_IMG_SetTccExposureTime Lib "GEOCOMS2K.DLL" ( in1 As Integer ) As Integer
Declare Function VB_IMG_TakeTccImage Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As Integer ) As Integer
Declare Function VB_IOS_BeepOff Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_IOS_BeepOn Lib "GEOCOMS2K.DLL" ( in1 As Integer ) As Integer
Declare Function VB_MOT_ReadLockStatus Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_MOT_SetVelocity Lib "GEOCOMS2K.DLL" ( in1 As MOT_COM_PAIR ) As Integer
Declare Function VB_MOT_StartController Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_MOT_StopController Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_SUP_GetConfig Lib "GEOCOMS2K.DLL" ( out1 As Long, out2 As Long, out3 As Long ) As Integer
Declare Function VB_SUP_SetConfig Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long, in3 As Long ) As Integer
Declare Function VB_SUP_SwitchLowTempControl Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_TMC_DeactivateOffsetDist Lib "GEOCOMS2K.DLL" () As Integer
Declare Function VB_TMC_DoMeasure Lib "GEOCOMS2K.DLL" ( in1 As Long, in2 As Long ) As Integer
Declare Function VB_TMC_DoMeasure2 Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_TMC_GetAngle1 Lib "GEOCOMS2K.DLL" ( out1 As TMC_ANGLE, in2 As Long ) As Integer
Declare Function VB_TMC_GetAngle5 Lib "GEOCOMS2K.DLL" ( out1 As TMC_HZ_V_ANG, in2 As Long ) As Integer
Declare Function VB_TMC_GetAngSwitch Lib "GEOCOMS2K.DLL" ( out1 As TMC_ANG_SWITCH ) As Integer
Declare Function VB_TMC_GetAtmCorr Lib "GEOCOMS2K.DLL" ( out1 As TMC_ATMOS_TEMPERATURE ) As Integer
Declare Function VB_TMC_GetAtmPpm Lib "GEOCOMS2K.DLL" ( out1 As Double ) As Integer
Declare Function VB_TMC_GetCoordinate1 Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As TMC_COORDINATE, in3 As Long ) As Integer
Declare Function VB_TMC_GetEdmMode Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_TMC_GetFace Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_TMC_GetGeoPpm Lib "GEOCOMS2K.DLL" ( out1 As Integer, out2 As Double, out3 As Double, out4 As Double, out5 As Double ) As Integer
Declare Function VB_TMC_GetHeight Lib "GEOCOMS2K.DLL" ( out1 As TMC_HEIGHT ) As Integer
Declare Function VB_TMC_GetInclineSwitch Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_TMC_GetPrismCorr Lib "GEOCOMS2K.DLL" ( out1 As Double ) As Integer
Declare Function VB_TMC_GetRefractiveCorr Lib "GEOCOMS2K.DLL" ( out1 As TMC_REFRACTION ) As Integer
Declare Function VB_TMC_GetRefractiveMethod Lib "GEOCOMS2K.DLL" ( out1 As Integer ) As Integer
Declare Function VB_TMC_GetSignal Lib "GEOCOMS2K.DLL" ( out1 As TMC_EDM_SIGNAL ) As Integer
Declare Function VB_TMC_GetSimpleCoord Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As Double, out3 As Double, out4 As Double, in5 As Long ) As Integer
Declare Function VB_TMC_GetSimpleMea Lib "GEOCOMS2K.DLL" ( in1 As Long, out2 As TMC_HZ_V_ANG, out3 As Double, in4 As Long ) As Integer
Declare Function VB_TMC_GetSlopeDistCorr Lib "GEOCOMS2K.DLL" ( out1 As Double, out2 As Double ) As Integer
Declare Function VB_TMC_GetStation Lib "GEOCOMS2K.DLL" ( out1 As TMC_STATION ) As Integer
Declare Function VB_TMC_IfDataAzeCorrError Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_TMC_IfDataIncCorrError Lib "GEOCOMS2K.DLL" ( out1 As Long ) As Integer
Declare Function VB_TMC_QuickDist Lib "GEOCOMS2K.DLL" ( out1 As TMC_HZ_V_ANG, out2 As Double ) As Integer
Declare Function VB_TMC_SetAngSwitch Lib "GEOCOMS2K.DLL" ( in1 As TMC_ANG_SWITCH ) As Integer
Declare Function VB_TMC_SetAtmCorr Lib "GEOCOMS2K.DLL" ( in1 As TMC_ATMOS_TEMPERATURE ) As Integer
Declare Function VB_TMC_SetAtmPpm Lib "GEOCOMS2K.DLL" ( in1 As Double ) As Integer
Declare Function VB_TMC_SetEdmMode Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_TMC_SetGeoPpm Lib "GEOCOMS2K.DLL" ( in1 As Integer, in2 As Double, in3 As Double, in4 As Double, in5 As Double ) As Integer
Declare Function VB_TMC_SetHandDist Lib "GEOCOMS2K.DLL" ( in1 As Double, in2 As Double, in3 As Long ) As Integer
Declare Function VB_TMC_SetHeight Lib "GEOCOMS2K.DLL" ( in1 As TMC_HEIGHT ) As Integer
Declare Function VB_TMC_SetInclineSwitch Lib "GEOCOMS2K.DLL" ( in1 As Long ) As Integer
Declare Function VB_TMC_SetOrientation Lib "GEOCOMS2K.DLL" ( in1 As Double ) As Integer
Declare Function VB_TMC_SetPrismCorr Lib "GEOCOMS2K.DLL" ( in1 As Double ) As Integer
Declare Function VB_TMC_SetRefractiveCorr Lib "GEOCOMS2K.DLL" ( in1 As TMC_REFRACTION ) As Integer
Declare Function VB_TMC_SetRefractiveMethod Lib "GEOCOMS2K.DLL" ( in1 As Integer ) As Integer
Declare Function VB_TMC_SetStation Lib "GEOCOMS2K.DLL" ( in1 As TMC_STATION ) As Integer

#End If
